export declare function generateOptimisticResponseForMutation<T>({ operationType, entityName, objects }: {
    operationType: "update" | "insert" | "delete";
    entityName: string;
    objects: {
        id: any;
    }[];
}): T;
/**
 *
 * @param param0
 */
export declare function generateUpdateFunctionForMutation<T>({ operationType, entityName, entityId }: {
    operationType: "delete";
    entityName: string;
    entityId: string | number;
}): (cache: any, result: any) => void;
